### Function

# Camel utils_sanitize_ascii_domain_in_url_str

since: 3.44

#### Declaration [src]

    gchar*
    camel_utils_sanitize_ascii_domain_in_url_str (
      const gchar* url_str
    )

#### Description [src]

Checks whether the host name of the `url_str` requires conversion to ASCII and converts it if needed. Returns `NULL`, when no conversion was required.

Available since: 3.44

#### Parameters

`url_str`

  Type: `const gchar*`

  A URL as string.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Converted `url_str` to ASCII host name, or `NULL`, when no conversion was needed.

See: camel_hostname_utils_requires_ascii(), camel_utils_sanitize_ascii_domain_in_url().

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.